知识库切片引用位置信息
curl --request POST \
--url https://open.bigmodel.cn/api/llm-application/open/v2/application/slice_info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "<string>",
"node_id": "<string>"
}
'{
"data": {
"document_slices": [
{
"document": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"dtype": 123
},
"slice_info": [
{
"document_id": "<string>",
"text": "<string>",
"position": {
"x0": 123,
"x1": 123,
"top": 123,
"bottom": 123,
"page": 123,
"height": 123,
"width": 123
},
"line": 123,
"sheet_name": "<string>"
}
],
"hide_positions": true,
"images": [
{
"text": "<string>",
"cos_url": "<string>"
}
]
}
],
"has_old_document": true
},
"code": 123,
"message": "<string>",
"timestamp": 123
}智能体 API(旧)
知识库切片引用位置信息
deprecated
获取知识库切片引用的位置信息。
POST
/
llm-application
/
open
/
v2
/
application
/
slice_info
知识库切片引用位置信息
curl --request POST \
--url https://open.bigmodel.cn/api/llm-application/open/v2/application/slice_info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "<string>",
"node_id": "<string>"
}
'{
"data": {
"document_slices": [
{
"document": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"dtype": 123
},
"slice_info": [
{
"document_id": "<string>",
"text": "<string>",
"position": {
"x0": 123,
"x1": 123,
"top": 123,
"bottom": 123,
"page": 123,
"height": 123,
"width": 123
},
"line": 123,
"sheet_name": "<string>"
}
],
"hide_positions": true,
"images": [
{
"text": "<string>",
"cos_url": "<string>"
}
]
}
],
"has_old_document": true
},
"code": 123,
"message": "<string>",
"timestamp": 123
}Authorizations
Response
请求成功
Hide child attributes
Hide child attributes
文档切片信息
Hide child attributes
Hide child attributes
切片信息
Hide child attributes
Hide child attributes
文档ID
切片内容
Hide child attributes
Hide child attributes
左侧到行左侧的距离
字符顶部到顶部距离
字符顶部到顶部距离
字符底部到顶部距离
所在页
所在页高
所在页宽度
sheet行号
sheet名称
是否存在历史文档切片没有位置信息
是否存在没有切片位置的历史文档
响应码,200为成功
响应信息
响应时间戳
Was this page helpful?
⌘I